import { INodeServicesManagerConfig } from './INodeServicesManagerConfig';
import { BaseServicesManager } from '../Common/BaseServicesManager';
import { BaseServiceModule } from '../Common/BaseServiceModule';
/**
 * 在BaseServicesManager的基础上添加了全局未捕获异常处理，退出信号控制。
 * 通过process.on('message')的方式进行健康检查（发送__ss__healthCheck调用健康检查，
 * { isHealth: boolean, description: string, type='healthCheck' }返回检查结果）。
 */
export declare class NodeServicesManager extends BaseServicesManager {
    private readonly _config;
    constructor(config?: INodeServicesManagerConfig);
    onError(err: Error, service: BaseServiceModule): void;
    onUnHandledException(err: Error): void;
    /**
     * 当收到SIGTERM信号时触发执行，判断是否终止程序
     */
    onStopSignal(): void;
}
